=== debian/changelog ===
fcitx (1:4.2.7-1ubuntu1) raring; urgency=low

  * Add upstream indicator patches

 -- Aron Xu <happyaron@ubuntu.com>  Wed, 13 Feb 2013 13:50:37 +0800

fcitx (1:4.2.7-1) unstable; urgency=low

  * New upstream release.
  * New binary packages:
    - fcitx-libs-gclient: D-Bus client library for Glib
    - fcitx-libs-qt: D-Bus client library for Qt
    - fcitx-module-quickphrase-editor: Quick Phrase editor module

 -- Aron Xu <aron@debian.org>  Sun, 10 Feb 2013 17:03:56 +0800
