=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-([0-9]\.*.*)_dict\.tar\.xz
