## fcitx 4.2.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.6)
 
 project(fcitx)
 
-set(version 4.2.7)
+set(version 4.2.8.1)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
+set(CMAKE_AUTOMOC_RELAXED_MODE TRUE)
+
 set_property(GLOBAL PROPERTY "__FCITX_INTERNAL_BUILD" On)
 
 option(ENABLE_X11 "Enable X11 as dependency" ON)
@@ -14,11 +16,13 @@
 option(ENABLE_PANGO "Enable Pango Support" ON)
 option(ENABLE_LIBXML2 "Enable libxml2" ON)
 option(ENABLE_DEBUG "Enable Debug" OFF)
+option(ENABLE_PINYIN "Enable Pinyin" ON)
 option(ENABLE_TABLE "Enable Table IM" ON)
 option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
 option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" OFF)
-option(ENABLE_QT "Enable Qt-based lib and configuration GUI" On)
+option(ENABLE_QT "Enable Qt-based lib" On)
 option(ENABLE_QT_IM_MODULE "Enable Qt IM Module" ON)
+option(ENABLE_QT_GUI "Enable Qt-based configuration GUI" On)
 option(ENABLE_OPENCC "Enable OpenCC for Chinese Transform" ON)
 option(FORCE_OPENCC
   "Enable opencc even if the library is not found at compile time" Off)
@@ -219,18 +223,50 @@
 set(FCITX4_INPUTMETHOD_CONFIG_INSTALL_DIR ${imconfigdir})
 set(FCITX4_PACKAGE_NAME ${package})
 
+function(_RESOLVE_LIBRARY_PATH _FILE_NAME _LIBRARY_PATH)
+    if (CMAKE_OBJDUMP)
+        execute_process (
+            COMMAND ${CMAKE_OBJDUMP} -p "${_LIBRARY_PATH}"
+            RESULT_VARIABLE STATUS
+            OUTPUT_VARIABLE OBJDUMP_RESULT
+            ERROR_QUIET
+        )
+        string(REGEX REPLACE ".*SONAME +([^ ]+)\n.*$" "\\1" SONAME_OUT "${OBJDUMP_RESULT}")
+        if (SONAME_OUT)
+            set(_FILE_NAME_OUT "${SONAME_OUT}")
+        endif ()
+    endif()
+    if (NOT _FILE_NAME_OUT)
+        get_filename_component(_FILE_NAME_OUT "${_LIBRARY_PATH}" NAME)
+    endif()
+    set(${_FILE_NAME} ${_FILE_NAME_OUT} PARENT_SCOPE)
+endfunction()
+
+
 if (NOT DEFINED OPENCC_LIBRARY_FILENAME)
-  set(OPENCC_LIBRARY_FILENAME
-    "${CMAKE_SHARED_LIBRARY_PREFIX}opencc${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    if (OPENCC_LIBRARIES)
+        _RESOLVE_LIBRARY_PATH(OPENCC_LIBRARY_FILENAME "${OPENCC_LIBRARIES}")
+    else ()
+        set(OPENCC_LIBRARY_FILENAME
+            "${CMAKE_SHARED_LIBRARY_PREFIX}opencc${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    endif ()
 endif()
 
 if(NOT DEFINED ENCHANT_LIBRARY_FILENAME)
-  set(ENCHANT_LIBRARY_FILENAME
-    "${CMAKE_SHARED_LIBRARY_PREFIX}enchant${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    if (ENCHANT_LIBRARIES)
+        _RESOLVE_LIBRARY_PATH(ENCHANT_LIBRARY_FILENAME "${ENCHANT_LIBRARIES}")
+    else ()
+        set(ENCHANT_LIBRARY_FILENAME
+            "${CMAKE_SHARED_LIBRARY_PREFIX}enchant${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    endif ()
 endif()
 if(NOT DEFINED PRESAGE_LIBRARY_FILENAME)
-  set(PRESAGE_LIBRARY_FILENAME
-    "${CMAKE_SHARED_LIBRARY_PREFIX}presage${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    if (PRESAGE_LIBRARIES)
+        _RESOLVE_LIBRARY_PATH(PRESAGE_LIBRARY_FILENAME "${PRESAGE_LIBRARIES}")
+    else ()
+        set(PRESAGE_LIBRARY_FILENAME
+            "${CMAKE_SHARED_LIBRARY_PREFIX}presage${CMAKE_SHARED_LIBRARY_SUFFIX}")
+    endif ()
 endif()
 
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
