=== debian/changelog ===
fcitx (1:4.2.8.1-3) unstable; urgency=low

  * Update dependency versions.
  * fcitx-ui-classic: replaces and breaks fcitx-hangul (<< 0.3.0)
    (Closes: #718644)

 -- Aron Xu <aron@debian.org>  Sun, 04 Aug 2013 12:26:10 +0800

fcitx (1:4.2.8.1-2) unstable; urgency=low

  * Mark some inline symbols as optional in fcitx-libs-qt.
  * fcitx-ui-classic: replaces and breaks fcitx-unikey (<< 0.2.0)
    due to file move (Closes: #718314).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 31 Jul 2013 00:31:25 +0800

fcitx (1:4.2.8.1-1) unstable; urgency=low

  * modify d/watch for new download site
  * Imported Upstream version 4.2.8.1
  * fcitx-scanner and fcitx-po-parser now installed to
       usr/lib/*/fcitx/libexec/
    comp-spell-dict also installed into usr/lib/*/fcitx/libexec
  * Remove patches included upstream
     - 0004-Upstream-post-release-changes.patch
     - 0005-fix-bashism-problems.patch
  * Update symbols for libs
  * Install emoji.mb and latex.mb into package
    fcitx-module-quickphrase-editor

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 29 Jul 2013 21:46:03 +0800

fcitx (1:4.2.7-2) unstable; urgency=low

  [ Wang Diancheng ]
  * Disable debug messages, use Release build type

  [ Aron Xu ]
  * Add Breaks/Replaces to fcitx-libs-gclient (Closes: #700710)

  [ YunQiang Su ]
  * fix bashism problems (Closes: #701553, #701558)
  * Remove FcitxQtInputMethodProxy::CreateIC from qt symbols (Closes: #701276)

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 28 Feb 2013 17:00:35 +0800
