=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 	dh_auto_clean
 override_dh_auto_configure: gen_control
 	dh_auto_configure -- \
+	    -DCMAKE_BUILD_TYPE=Release \
 	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	    -DENABLE_CAIRO=ON \
 	    -DENABLE_DBUS=ON \
 	    -DENABLE_PANGO=ON \
-	    -DENABLE_DEBUG=ON \
 	    -DENABLE_TABLE=ON \
 	    -DENABLE_GTK2_IM_MODULE=ON \
 	    -DENABLE_GTK3_IM_MODULE=ON \
